<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE overlay SYSTEM "chrome://bc_ext/locale/bc_context_menu.dtd">

<overlay id="bc_ext_overlay" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

	<script src="bc_context_menu.js"/>
	<script src="bc_media_capture.js"/>

	<stringbundleset id="stringbundleset">
		<stringbundle id="bc_ext-strings" src="chrome://bc_ext/locale/bc_media_capture.properties"/>
	</stringbundleset>

	<menupopup id="menu_ToolsPopup">
		<menu     image="chrome://bc_ext/skin/download_media.png" class="menu-iconic" id="bc_menu_download_media_link" label="&bc_menu_download_media_link_text;" insertafter="devToolsSeparator">
			<menupopup id="toolsMenupopupMedia" onpopupshowing="bc_media_capture_contextmenu_show(event);event.stopPropagation();">  
			</menupopup>
		</menu>	
	</menupopup>

	<popup id="contentAreaContextMenu">
		<menuitem image="chrome://bc_ext/skin/download_all.png"  class="menuitem-iconic" id="bc_menu_download_all_item"   label="&bc_menu_download_all_text;" insertafter="context-selectall" oncommand="bc_ext.onCmdDownloadAll(event)"/>
		<menuitem image="chrome://bc_ext/skin/download_link.png" class="menuitem-iconic" id="bc_menu_download_link_item"  label="&bc_menu_download_link_text;" accesskey="&bc_menu_download_link_text.accesskey;" insertafter="context-selectall" oncommand="bc_ext.onCmdDownloadSingleLink(event)"/>
		<menu     image="chrome://bc_ext/skin/download_media.png" class="menu-iconic" id="bc_menu_download_media_link" label="&bc_menu_download_media_link_text;" insertafter="context-selectall">
		  <menupopup id="contentMenupopupMedia" onpopupshowing="bc_media_capture_contextmenu_show(event);event.stopPropagation();">   
				<!--
				<menuitem id="bc_media_capture_video" type="checkbox" label="&bc_media_capture_video.text;" accesskey="&bc_media_capture_video.accesskey;" oncommand="bc_media_capture_OnCaptureType(event, 'video')"/>
				<menuitem id="bc_media_capture_audio" type="checkbox" label="&bc_media_capture_audio.text;" accesskey="&bc_media_capture_audio.accesskey;" oncommand="bc_media_capture_OnCaptureType(event, 'audio')"/>
				<menuitem id="bc_media_capture_flash" type="checkbox" label="&bc_media_capture_flash.text;" accesskey="&bc_media_capture_flash.accesskey;" oncommand="bc_media_capture_OnCaptureType(event, 'flash')"/>
				<menuseparator />
				-->
			</menupopup>
		</menu>	
		<!--menuseparator id="bc_menu_seperator_1" insertafter="context-selectall" /-->
	</popup>

</overlay>
